<load-aware>
    <div class="box-body b-b white">
        <div class="row">
            <div class="col-sm-12">
                <filters-bar available-filters="filters"></filters-bar>
            </div>
        </div>
    </div>
    <div class="white">
        <div class="box">
            <div class="box-header dker">
                <div class="pull-left">
                    <ng-pluralize count="pagination.total" when="{'0': 'No items', 'one': '1 item', 'other': '{} items'}"></ng-pluralize>
                </div>
                <div class="pull-left m-l-md" ng-show="selected.length > 0">
                    <div class="dropdown bulk">
                        <button class="btn btn-sm white dropdown-toggle" data-toggle="dropdown" aria-expanded="false">Apply to <ng-pluralize count="selected.length" when="{'0': 'No items', 'one': '1 item', 'other': '{} items'}"></ng-pluralize></button>
                        <div class="dropdown-menu">
                            <a class="dropdown-item" href="javascript:void(0)" ng-click="bulkDelete(selected, $event)">Delete</a>
                        </div>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>
            <div class="box-tool">
                <div class="pull-right">
                    <a ui-sref="default.powers.new" class="btn btn-xs primary text-white"><i class="material-icons">flash_on</i> New</a>
                </div>
            </div>
            <div>
                <div class="table-responsive">
                    <table class="table table-striped b-t">
                        <thead>
                        <tr>
                            <th style="width:20px">
                                <label class="md-check m-a-0">
                                    <input type="checkbox" ng-click="checkboxes.toggleAll(items)" ng-checked="checkboxes.isCheckedAll(items)"><i class="dark"></i>
                                </label>
                            </th>
                            <th>Name</th>
                            <th style="width: 150px;"></th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr ng-repeat="item in items track by item.id">
                            <td>
                                <label class="md-check m-a-0">
                                    <input type="checkbox" ng-click="checkboxes.toggle(item)" ng-checked="checkboxes.isChecked(item)"><i class="dark"></i>
                                </label>
                            </td>
                            <td>{{ item.name }}</td>
                            <td>
                                <div class="pull-right">
                                    <a ui-sref="default.powers.edit.details({ categoryId: item.id })" class="btn btn-md white"><i class="fa fa-pencil"></i> Edit</a>
                                </div>
                            </td>
                        </tr>
                        <tr ng-if="items.length == 0">
                            <td colspan="3" class="text-center text-muted">
                                No items
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <div class="p-a" data-ng-controller="PaginationController">
                    <div class="row">
                        <div class="col-md-6">
                            <div ng-if="pagination.page && pagination.limit && pagination.total" paging
                                 page="pagination.page"
                                 page-size="pagination.limit"
                                 total="pagination.total"
                                 paging-action="pageChanged(page)">
                            </div>
                        </div>
                        <div class="col-md-6">
                            <ul class="pagination pull-right">
                                <li ng-repeat="ppage in pagination.variants" data-ng-class="pagination.limit == ppage ? 'active':''"><a href="javascript:void(0);" data-ng-click="setPerpage(ppage)">{{ppage}}</a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</load-aware>